QGIS Application - Bug report #3571
Icons disappearing when opening attribute table
2011-03-08 02:26 PM - lvan Mincik

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 13631
Description

Icons are disappearing when opening attribute table in dock window.

How to replicate:
Configure Your QGIS to "Open attribute table in dock
window", load this example data r1 and choose Layer -> Open Attribute Table.

Attribute table window is opened with blank buttons without

any icons. Icons will appear when moving mouse cursor over. The same |

can reproduce when resizing attribute table window. When using attribute table in separate window
(not in dock window), icons are loaded correctly.

Software details:
OS: Debian Squeeze - Gnome, standard Clearlooks theme using Clearlooks buttons
QGIS: Trunk (I remember this behavior for versions in last few weeks)

Confirmed in Qgis-dev mailinglist r2

r1 - http://gista.sk/home/ivo/dl/qgis _demodata.tar.gz
r2 - http://lists.osgeo.org/pipermail/qgis-developer/2011-March/013235.html

History

#1 - 2011-12-16 01:48 PM - Giovanni Manghi
- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:26 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0
- Affected QGIS version set to master

#3 - 2012-09-04 11:59 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:38 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-11-20 04:46 AM - Médéric RIBREUX

- Pull Request or Patch supplied set to No
- Status changed from Open to Closed
http://gista.sk/home/ivo/dl/qgis_demodata.tar.gz
http://lists.osgeo.org/pipermail/qgis-developer/2011-March/013235.html

- Assignee deleted (nobody -)
- Resolution set to fixed/implemented

Hello, bug triage...

| cannot reproduce it in QGIS 2.13 master. | think it has been fixed.

| am closing this bug.
